## cputool 1.1.0

=== meson_options.txt ===
option('system', type: 'boolean', value: false, description: 'Set install paths to system ones')
option('runstatedir', type: 'string', value: '', description: 'State directory for temporary sockets, pid files, etc')
option('docdir', type: 'string', value: '', description: 'documentation installation directory')
option('docs', type: 'feature', value: 'auto', description: 'whether to generate documentation')

## cputool 0.0.7

=== debian/changelog ===
cputool (0.0.7-1) unstable; urgency=low

  * Initial release. (Closes: #761065)

 -- Nigel Kukard <nkukard@lbsd.net>  Wed, 10 Sep 2014 12:31:56 +0000

=== debian/control ===
Source: cputool
Maintainer: Nigel Kukard <nkukard@lbsd.net>
Section: utils
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), docbook-to-man
Homepage: http://gitlab.devlabs.linuxassist.net/cputool/cputool
Vcs-Git: https://gitlab.devlabs.linuxassist.net/cputool/debian-cputool.git
Vcs-Browser: https://gitlab.devlabs.linuxassist.net/cputool/debian-cputool/tree/master

Package: cputool
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility which manages CPU usage and system load
 CPUTool allows the limiting of cpu usage of a process or a process group to a
 given limit and allows the suspensions of process execution if the system
 load exceeds a defined threshold.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Already fixed upstream
override_dh_clean:
	rm -f cputool.8
	dh_clean

## cputool 0.0.8

=== debian/changelog ===
cputool (0.0.8-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:17:44 +0000

cputool (0.0.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Nigel Kukard <nkukard@lbsd.net>  Mon, 15 Jun 2015 13:25:34 +0000

cputool (0.0.8-1) experimental; urgency=medium

  * Fixed segfault when using long option arguments.
  * Cleaned up manpage.

 -- Nigel Kukard <nkukard@lbsd.net>  Mon, 05 Jan 2015 15:04:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: cputool
-Maintainer: Nigel Kukard <nkukard@lbsd.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nigel Kukard <nkukard@lbsd.net>
 Section: utils
 Priority: optional
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), docbook-to-man
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dh-autoreconf, docbook-to-man
 Homepage: http://gitlab.devlabs.linuxassist.net/cputool/cputool
 Vcs-Git: https://gitlab.devlabs.linuxassist.net/cputool/debian-cputool.git
 Vcs-Browser: https://gitlab.devlabs.linuxassist.net/cputool/debian-cputool/tree/master

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,\
downloadurlmangle=s/\/v?(\d+\.\d+\.\d+.*)$/\/v$1\/cputool-$1.tar.gz/,\
filenamemangle=s/v?(\d+\.\d+\.\d+.*)$/cputool-$1.tar.gz/ \
http://download.allworldit.org/cputool/v?(\d+\.\d+\.\d+.*)

## cputool 1.1.0

=== debian/changelog ===
cputool (1.1.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #1081634, #1096472
  * Maintain package in Salvage team
    Closes: #1109810
  * Fix Homepage
  * Point watch file to Git repository and use git mode (no signature)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.
  * Set field Upstream-Name in debian/copyright.
  * Add debian/upstream/metadata
  * d/control: Build-Depends
     - Add meson
     - s/docbook-to-man/python3-docutils/
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jul 2025 07:28:19 +0200

=== debian/control ===
Source: cputool
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Nigel Kukard <nkukard@lbsd.net>,
           Andreas Tille <tille@debian.org>
Section: utils
Priority: optional
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
               meson,
               python3-docutils
Vcs-Browser: https://salsa.debian.org/salvage-team/cputool
Vcs-Git: https://salsa.debian.org/salvage-team/cputool.git
Homepage: https://gitlab.linux.community/cputool/cputool/

Package: cputool
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility which manages CPU usage and system load
 CPUTool allows the limiting of cpu usage of a process or a process group to a
 given limit and allows the suspensions of process execution if the system
 load exceeds a defined threshold.

=== debian/watch ===
version=4

opts="mode=git, dversionmangle=auto" \
  https://gitlab.linux.community/cputool/cputool.git refs/tags/@ANY_VERSION@
